Bug Hunting Session
Bug 124266 - Formula result not repainted immediately after Cut&Paste move.
Summary: Formula result not repainted immediately after Cut&Paste move.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Dennis Francis
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2019-03-22 11:28 UTC by Eike Rathke
Modified: 2019-04-03 09:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2019-03-22 11:28:45 UTC
A formula cell is not repainted after this procedure:

1. in A3:B4 enter the values 1, 2, 4, 8 (row-wise)
2. in C1 enter formula =SUM(A1:B1)
3. copy cell C1 to clipboard
4. paste onto C2:C4
5. select A3:B3
6. cut to clipboard
7. paste on A1
=> cell C1 is recalculated and displays 3
=> cell C3 still displays 0 and appears to not being recacluated, but in
fact it is just not repainted, as can be seen with a sequence of PageDn
and PageUp, or Shift+Ctrl+R, or anything else that attempts to obtain
the cell's value.

The same does not happen if steps #6 and #7 instead are performed using
Drag&Drop.

It also does not happen if before step 5 a formula is added in some
(doesn't matter which) cell with =D3

Failure was observed while fixing bug 101002 and bug 123736.
Comment 1 Xisco Faulí 2019-03-25 17:41:08 UTC
Regression introduced by:

author	Dennis Francis <dennis.francis@collabora.com>	2019-01-15 21:34:46 +0530
committer	Dennis Francis <dennis.francis@collabora.com>	2019-02-05 13:56:22 +0100
commit	3346947b7e102384dfc6cd98dbf7da81936f8fd6 (patch)
tree	01db16dcb48779866e2f611a57e6836c4e9111c7
parent	ba1e745b3d022856080c25167226e8a9eeadc911 (diff)
Allow computing spans of formula-groups

Bisected with: bibisect-linux64-6.3 

Adding Cc: to Dennis Francis
Comment 2 Commit Notification 2019-04-02 15:07:12 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/33c1389a52be0e839584948be174ebed110522c5%5E%21

tdf#124266 : Paint cell if formula-cell has changed even if...

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-04-03 09:06:58 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 93f1c3665fcdc31c36078f179ac37fd69d3ebb00
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Dennis Francis, thanks for fixing this issue!